#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    ui->lineEdit->setPlaceholderText("Enter the command");
    connect(ui->pushButton, SIGNAL(clicked()), this, SLOT(ok_clicked()));
    connect(ui->pushButton_2, SIGNAL(clicked()), this, SLOT(clear_clicked()));
    connect(ui->actionExit, SIGNAL(clicked()), this, SLOT(exit_clicked()));
}

void MainWindow::ok_clicked() {
    QString command = ui->lineEdit->text();

    QSqlQuery query;
    bool cmd = query.exec(command);

     ui->textEdit_log->append(command);
     ui->textEdit_log->append("\n");

    if (!cmd) {
          ui->textEdit_log->append(query.lastError().text());
    }
}

void MainWindow::exit_clicked() {
    QApplication::quit();
}

void MainWindow::clear_clicked() {
    ui->lineEdit->clear();
}

MainWindow::~MainWindow()
{
    delete ui;
}

